API
X (Twitter) API
The AI-powered X provides 360° Global Media Data & Intelligence on X (Twitter) users, community managers, journalists, brands, and real-time communication teams.
API 参考 版本: 1.0.0 7 终端 身份验证
基本网址
https://pressmonitor.com/api 身份验证
所有请求都需要 x-api-key 和 x-subscription-id 标头。x-api-key 验证您的账户;x-subscription-id 选择订阅的服务。
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/twitter_user X (Twitter) Twitter Utilisateur
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| username | string | query | 是 | Username |
代码示例
curl -X GET \
"https://pressmonitor.com/api/twitter_user?username=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/twitter_tweets X (Twitter) Twitter Tweets
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| username | string | query | 是 | Username |
| count | integer | query | 不 | Number of results |
代码示例
curl -X GET \
"https://pressmonitor.com/api/twitter_tweets?username=VALUE&count=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/twitter_search X (Twitter) Twitter Recherche
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query | string | query | 是 | Search query |
| count | integer | query | 不 | Number of results |
代码示例
curl -X GET \
"https://pressmonitor.com/api/twitter_search?query=VALUE&count=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/twitter_tweet X (Twitter) Twitter Tweet
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| pid | string | query | 是 | Tweet ID |
代码示例
curl -X GET \
"https://pressmonitor.com/api/twitter_tweet?pid=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/twitter_followers X (Twitter) Twitter Abonnés
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| user | string | query | 是 | Numeric user ID |
| count | integer | query | 不 | Number of results |
代码示例
curl -X GET \
"https://pressmonitor.com/api/twitter_followers?user=VALUE&count=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/twitter_followers_page X (Twitter) Twitter Abonnés Page
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| user | string | query | 是 | Numeric user ID |
| count | integer | query | 不 | Number of results |
| cursor | string | query | 不 | Pagination cursor |
代码示例
curl -X GET \
"https://pressmonitor.com/api/twitter_followers_page?user=VALUE&count=VALUE&cursor=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/twitter_followings_page X (Twitter) Twitter Abonnements Page
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| user | string | query | 是 | Numeric user ID |
| count | integer | query | 不 | Number of results |
| cursor | string | query | 不 | Pagination cursor |
代码示例
curl -X GET \
"https://pressmonitor.com/api/twitter_followings_page?user=VALUE&count=VALUE&cursor=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
